package cc.fascinated.account.command;

import cc.fascinated.account.Account;
import cc.fascinated.account.AccountManager;
import cc.fascinated.command.Command;
import org.bukkit.Bukkit;
import org.bukkit.OfflinePlayer;

public class DeleteAccountCommand extends Command {

    public DeleteAccountCommand() {
        super("deleteaccount");
        super.setPermission("aetheria.command.deleteaccount");
    }

    @Override
    public void execute(Account account, String[] args) {
        OfflinePlayer target = Bukkit.getOfflinePlayer(args[0]);
        Account targetAccount = AccountManager.getAccount(target.getUniqueId());
        if (targetAccount == null) {
            account.sendMessage("That account does not exist.");
            return;
        }
        AccountManager.deleteAccount(targetAccount);
        account.sendMessage("Successfully deleted the account of " + target.getName() + ".");
    }
}
