package cc.fascinated.account.command;

import cc.fascinated.account.Account;
import cc.fascinated.account.AccountManager;
import cc.fascinated.command.Command;
import cc.fascinated.config.Lang;

public class SaveAccountsCommand extends Command {

    public SaveAccountsCommand() {
        super("saveaccounts");
        super.setPermission("command.aetheria.saveaccounts");
    }

    @Override
    public void execute(Account account, String[] args) {
        account.sendMessage(Lang.SAVE_ACCOUNTS_COMMAND_SAVING.getAsString());
        AccountManager.saveAccounts();
        account.sendMessage(Lang.SAVE_ACCOUNTS_COMMAND_SAVED.getAsString());
    }
}
