package cc.fascinated.command.impl;

import cc.fascinated.account.Account;
import cc.fascinated.command.Command;
import cc.fascinated.config.Config;
import cc.fascinated.config.Lang;

public class DiscordCommand extends Command {

    public DiscordCommand() {
        super("discord");
    }

    @Override
    public void execute(Account account, String[] args) {
        account.sendMessage(Lang.DISCORD_COMMAND.getAsString()
                .replace("%invite-url%", Config.DISCORD_INVITE_URL.getAsString())
        );
    }
}
