package cc.fascinated.command.impl;

import cc.fascinated.account.Account;
import cc.fascinated.command.Command;
import cc.fascinated.config.Lang;

public class TotalJoinsCommand extends Command {

    public TotalJoinsCommand() {
        super("totaljoins");
        super.setPermission("aetheria.command.totaljoins");
    }

    @Override
    public void execute(Account account, String[] args) {
        account.sendMessage(Lang.TOTAL_JOINS_COMMAND.getAsString());
    }
}
