package cc.fascinated.commandspy.command;

import cc.fascinated.account.Account;
import cc.fascinated.command.Command;
import cc.fascinated.commandspy.CommandSpyManager;
import cc.fascinated.config.Lang;

public class CommandSpyCommand extends Command {

    public CommandSpyCommand() {
        super("commandspy");
        super.setPermission("aetheria.command.commandspy");
    }

    @Override
    public void execute(Account account, String[] args) {
        boolean enabled = CommandSpyManager.toggleCommandSpy(account);
        if (enabled) {
            account.sendMessage(Lang.COMMAND_SPY_ENABLED.getAsString());
            return;
        }
        account.sendMessage(Lang.COMMAND_SPY_DISABLED.getAsString());
    }
}
