package cc.fascinated.joinlogs;

import cc.fascinated.account.Account;
import cc.fascinated.bot.DiscordBot;
import cc.fascinated.bot.DiscordChannel;
import cc.fascinated.utils.Manager;
import net.dv8tion.jda.api.EmbedBuilder;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerQuitEvent;

import java.awt.*;

public class JoinLogManager extends Manager {

    @Override
    public void onPlayerJoin(Account account, PlayerJoinEvent event) {
        DiscordBot.sendEmbed(DiscordChannel.PLAYER_LOGS, new EmbedBuilder()
                .setThumbnail("https://mc.fascinated.cc/player/head/" + account.getUuid().toString())
                .setColor(Color.GREEN)
                .setTitle("Player Joined")
                .addField("Player", account.getName(), true)
                .addField("UUID", account.getUuid().toString(), true)
        );
    }

    @Override
    public void onPlayerQuit(Account account, PlayerQuitEvent event) {
        DiscordBot.sendEmbed(DiscordChannel.PLAYER_LOGS, new EmbedBuilder()
                .setThumbnail("https://mc.fascinated.cc/player/head/" + account.getUuid().toString())
                .setColor(Color.RED)
                .setTitle("Player Left")
                .addField("Player", account.getName(), true)
                .addField("UUID", account.getUuid().toString(), true)
        );
    }
}
