package cc.fascinated.metrics;

import com.influxdb.client.write.Point;
import lombok.Getter;

@Getter
public abstract class Metric {

    /**
     * The name of the metric.
     */
    private final String name;

    public Metric(String name) {
        this.name = name;
    }

    /**
     * Collect and return the metric.
     *
     * @return the collected metric
     */
    protected abstract Point toPoint();
}
