package cc.fascinated.metrics.impl.server;

import cc.fascinated.metrics.Metric;
import com.influxdb.client.write.Point;

public class MemoryMetric extends Metric {

    public MemoryMetric() {
        super("memory");
    }

    @Override
    protected Point toPoint() {
        Runtime runtime = Runtime.getRuntime();

        return Point.measurement(getName())
                .addField("total", runtime.totalMemory())
                .addField("available", runtime.freeMemory())
                .addField("used", runtime.totalMemory() - runtime.freeMemory());
    }
}
