package cc.fascinated.metrics.impl.server;

import cc.fascinated.metrics.Metric;
import com.influxdb.client.write.Point;
import org.bukkit.Bukkit;

public class TotalJoinsMetric extends Metric {

    public TotalJoinsMetric() {
        super("total_joins");
    }

    @Override
    protected Point toPoint() {
        return Point.measurement(getName())
                .addField("value", Bukkit.getServer().getOfflinePlayers().length);
    }
}
