package cc.fascinated.metrics.impl.server;

import cc.fascinated.metrics.Metric;
import com.influxdb.client.write.Point;
import org.bukkit.Bukkit;

public class TpsMetric extends Metric {

    public TpsMetric() {
        super("tps");
    }

    @Override
    protected Point toPoint() {
        return Point.measurement("tps")
                .addTag("server", "server")
                .addField("tps", Bukkit.getServer().getTPS()[0]);
    }
}
