package cc.fascinated.utils;

import cc.fascinated.command.Command;
import cc.fascinated.command.CommandManager;
import cc.fascinated.event.EventListener;
import cc.fascinated.event.EventManager;

public class Manager implements EventListener {

    public Manager() {
        EventManager.registerListener(this);
    }

    /**
     * Register a command to the command manager.
     *
     * @param command The command to register.
     */
    public void registerCommand(Command command) {
        CommandManager.registerCommand(command);
    }
}
