package cc.fascinated.command.impl;

import cc.fascinated.account.Account;
import cc.fascinated.command.Command;
import cc.fascinated.config.Lang;
import cc.fascinated.utils.ChatUtils;

public class HelpCommand extends Command {

    public HelpCommand() {
        super("help");
    }

    @Override
    public void execute(Account account, String[] args) {
        for (String line : Lang.HELP_COMMAND.getAsStringList()) {
            account.sendMessage(ChatUtils.color(line));
        }
    }
}
