package cc.fascinated.command.impl;

import cc.fascinated.account.Account;
import cc.fascinated.command.Command;
import cc.fascinated.config.Lang;

public class SeedCommand extends Command {

    public SeedCommand() {
        super("seed");
    }

    @Override
    public void execute(Account account, String[] args) {
        account.sendMessage(Lang.SEED_COMMAND.getAsString().replace("%seed%", account.getPlayer().getWorld().getSeed() + ""));
    }
}
