package cc.fascinated.metrics.impl.server;

import cc.fascinated.metrics.Metric;
import com.influxdb.client.write.Point;
import org.bukkit.Bukkit;

public class PlayerCountMetric extends Metric {

    public PlayerCountMetric() {
        super("player_count");
    }

    @Override
    protected Point toPoint() {
        return Point.measurement(getName())
                .addField("value", Bukkit.getServer().getOnlinePlayers().size());
    }
}
