package cc.fascinated.staffchat.command;

import cc.fascinated.account.Account;
import cc.fascinated.command.Command;
import cc.fascinated.config.Lang;
import cc.fascinated.staffchat.StaffChatManager;

public class StaffChatCommand extends Command {

    public StaffChatCommand() {
        super("staffchat");
        super.setPermission("aetheria.command.staffchat");
    }

    @Override
    public void execute(Account account, String[] args) {
        if (args.length == 0) {
            account.sendMessage(Lang.STAFF_CHAT_USAGE.getAsString());
            return;
        }
        StaffChatManager.sendMessage(account, String.join(" ", args));
    }
}
