package cc.fascinated.utils;

import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

public class MessageUtils {

    /**
     * Send a message to all players with OP.
     *
     * @param message the message to send
     */
    public static void messageOps(String message) {
        for (Player player : Bukkit.getOnlinePlayers()) {
            if (player.isOp()) {
                player.sendMessage(Style.getMiniMessage().deserialize(message));
            }
        }
    }

    /**
     * Broadcast a message to all players.
     *
     * @param message the message to broadcast
     */
    public static void broadcast(String message) {
        Bukkit.broadcast(Style.getMiniMessage().deserialize(message));
    }
}
