package cc.fascinated.utils;

public enum Priority {

    /**
     * The lowest priority, this will be called first.
     */
    LOWEST,

    /**
     * The low priority, this will be called second.
     */
    LOW,

    /**
     * The normal priority, this has no effect.
     */
    NORMAL,

    /**
     * The high priority, this will be called second to last.
     */
    HIGH,

    /**
     * The highest priority, this will be called last.
     */
    HIGHEST
}
